#ifndef DEPTH_SHADER_H
#define DEPTH_SHADER_H

#include "constants.h"
#include "shader.h"
#include "vec.h"

typedef struct depth_shader DepthShader;
struct depth_shader {
  #include "shader_base.inc"
};

VertexData     depth_shader_vertex(void *shader, const VertexData *vert, u8 index, const Model *model);
FragmentResult depth_shader_fragment(void *shader, const V3f *barycentric, const V4f *colour,
                                     const Model *model);

#endif // !DEPTH_SHADER_H
